<?php

    //validamos si la session no ha sido declarada, para incicializarla

    if (session_status() === PHP_SESSION_NONE) {

      session_start();

    }

    if(empty($_SESSION['login_appquadrata'])){

        echo"<script language='javascript'>window.location='../../../login'</script>;";

        exit();

    }

/*inicializamos valores para la configuracion del template*/

$setting_template='../../../settings_template.txt';

$variables=[];

$_Color='';

$_Template='';

$_Theme_Template='';

$_Css='';

$_Js='';

if (file_exists($setting_template)) {

    $lines = file($setting_template, FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);

    foreach ($lines as $line) {

        list($nombre_variable, $valor) = explode('=', $line);

        $variables[$nombre_variable] = $valor;

    }

    /*recogemos los valores de las variables*/

    if (isset($variables['Color'])) {

        $_Color = $variables['Color'];



        //echo "El color es: $_Color";

    }

    if (isset($variables['Template'])) {

        $_Template = $variables['Template'];

        //echo "El Template es: $_template";

    }

    if (isset($variables['Theme_Template'])) {

        $_Theme_Template = $variables['Theme_Template'];

        //echo "El Theme_Template es: $_Theme_Template";

    }

    if (isset($variables['css'])) {

        $_Css = $variables['css'];

        //echo "El css es: $_Css";

    }

    if (isset($variables['js'])) {

        $_Js = $variables['js'];

        //echo "El js es: $_Js";

    }



    if (isset($variables['Rows_Columns'])) {

        $_Rows_Columns = $variables['Rows_Columns'];

    }else{

        $_Rows_Columns=4;

    }

}

/*terminan valores de configuracion pára el template*/

$time_log_assets=time();

?>

<!DOCTYPE html>

<html  style="background-color: rgb(241, 245, 249);" lang="es" class="<?php if($_Color!=''){ echo 'theme-user'; }else{ echo $_Theme_Template; }?>">

<head>

    <title>Escribir y Bloquear NFC con JavaScript</title>

    <link rel="stylesheet" href="../../../dist/css/<?=$_Css;?>?time=<?=$time_log_assets;?>" />

    <link rel="stylesheet" href="../../../dist/css/app_style.css?time=<?=$time_log_assets;?>" />

</head>

<body>

    <div class='intro-y box form-box'>

        <div class='flex items-center p-5 border-b border-slate-200/60 dark:border-darkmode-400'>

            <h2 class='font-medium text-base mr-auto'>

                Escribir en una etiqueta NFC

            </h2>

        </div>

        <div class='p-5'>

            <div class='mt-3 col-span-12 lg:col-span-12 xl:col-span-12'>

                <label for="urlInput" class='form-label'>Ingresa la URL:</label>

                <input type="text" id="urlInput" placeholder="https://example.com" class='form-control'>

            </div>

            <!--<button id="writeButton" onclick="alert('Para continuar, preciona aceptar y acerca el dispositivo NFC 🛜');" >Escribir en NFC</button>-->

            <div class='flex justify-end mt-4'>

                <a href='javascript:void(0)' class='btn btn-danger w-20 mr-auto'  onclick="window.open('', '_self').close();"> Cancelar</a>

                <!--<a href='../../inicio' class='btn btn-danger w-20 mr-auto'  onclick=\"addUrl('','');\"> Cancelar</a>-->

                <!--<a href='#' class='btn btn-danger w-20 mr-auto'  onclick="history.back(); return false;"> Cancelar</a>-->

                <button type='button' class='btn btn-primary flex items-center' id="writeButton" onclick="alert('Para continuar, preciona aceptar y acerca el dispositivo NFC 🛜');">Guardar</button>

            </div>

        <!-- <button id="lockButton" onclick="alert('Para continuar, preciona aceptar y acerca el dispositivo NFC 🛜');">Bloquear NFC</button> -->

        <!-- <button id="unlockButton" onclick="alert('Para continuar, preciona aceptar y acerca el dispositivo NFC 🛜');">Desbloquear NFC</button> -->

        </div>

    </div>

    <script>

        document.getElementById('writeButton').addEventListener('click', async () => {

            const url = document.getElementById('urlInput').value;

            if (url && 'NDEFReader' in window) {

                try {

                    const ndef = new NDEFReader();

                    await ndef.write({

                        records: [{ 

                            recordType: "url",

                            data: url

                        }]

                    });

                    alert("URL escrita en la etiqueta NFC con éxito");

                } catch (error) {

                    console.log("Error al escribir en la etiqueta NFC: ", error);

                }

            } else {

                alert("Web NFC no es compatible con este navegador o el campo URL está vacío.");

            }

        });



        document.getElementById('lockButton').addEventListener('click', async () => {

            if ('NDEFReader' in window) {

                try {

                    const ndef = new NDEFReader();

                    await ndef.write({

                        records: [{ 

                            recordType: "empty"

                        }],

                        lockAfterWrite: true // Esto bloquea la etiqueta después de escribir

                    });

                    alert("Etiqueta NFC bloqueada con éxito");

                } catch (error) {

                    console.log("Error al bloquear la etiqueta NFC: ", error);

                }

            } else {

                alert("Web NFC no es compatible con este navegador.");

            }

        });



        document.getElementById('unlockButton').addEventListener('click', () => {

            alert("No es posible desbloquear una etiqueta NFC una vez bloqueada. Debe usar una nueva etiqueta.");

        });

    </script>

    <script type="text/javascript">

      window.onload=function(){

        window.scrollTo(0,0);

        window.parent.scrollTo(0,0);

        parent.document.getElementById('loadingpage').style.display='none';

      }

    </script>

</body>

</html>